/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WCACHETRI3_H
#define WCACHETRI3_H

#include "tbox.h"
#include "wCache.h"
#include "wSfTri3.h"
#include "wGaussTri3.h"
#include <vector>

namespace tbox
{

/**
 * @brief Cache handling Tri3 shape functions and gauss points
 * @authors Romain Boman, Adrien Crovato
 */
class TBOX_API CacheTri3 : public Cache
{
public:
    SfTri3 sf;
    GaussTri3 gauss;

    explicit CacheTri3(int _n = 2);

    virtual Gauss &getVGauss() override;
};

} // namespace tbox

#endif // WCACHETRI3_H
